#version 130 // GLSL verzia

uniform sampler2D base_tex_unit; // zakladna textura

in vec4 pos; // poloha vrcholu v EYE space
in vec3 nor;
in vec3 dir_to_light;
in vec4 ambient,diffuse;

// farba v zavislosti od NdotL
vec4 toonify(in float I) {
 vec4 c;

 if (I>0.8) c=vec4(1.0,1.0,1.0,1.0);
 else if (I>0.6) c=vec4(0.8,0.8,0.8,1.0);
      else if (I>0.4) c=vec4(0.6,0.6,0.6,1.0);
           else if (I>0.2) c=vec4(0.4,0.4,0.4,1.0);
                else c=vec4(0.2,0.2,0.2,1.0);

 return(c);
}

void main(void)
{
 vec4 amb,dif;
 vec3 N,L;
 float NdotL;

 // ambient
 amb=ambient;

 // diffuse
 dif=diffuse*vec4(0.6,0.8,1.0,1.0);

 // normalizacia interpolovanych udajov
 N=normalize(nor);
 L=normalize(dir_to_light);

 NdotL=max(dot(N,L),0.0);
 if (NdotL>0.0) {
  // diffuse
  dif*=toonify(NdotL);
 }
 else dif*=0.0;

 // vysledna farba
 gl_FragColor=amb+dif;
}